<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:background="@color/white">

    <TextView
        android:id="@+id/header_foot_print_date_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:text="2018年11月"
        android:textColor="#ff333333"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title" />

    <ImageView
        android:id="@+id/header_foot_print_last_iv"
        android:layout_width="10dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="24dp"
        android:adjustViewBounds="true"
        android:rotation="270"
        android:scaleType="fitXY"
        android:src="@drawable/selector_tab_triangle_black_db"
        app:layout_constraintBottom_toBottomOf="@id/header_foot_print_date_tv"
        app:layout_constraintEnd_toStartOf="@id/header_foot_print_date_tv"
        app:layout_constraintTop_toTopOf="@id/header_foot_print_date_tv" />

    <View
        android:id="@+id/header_foot_print_last_v"
        android:layout_width="60dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="@id/header_foot_print_date_tv"
        app:layout_constraintEnd_toStartOf="@id/header_foot_print_date_tv"
        app:layout_constraintTop_toTopOf="@id/header_foot_print_date_tv" />

    <ImageView
        android:id="@+id/header_foot_print_next_iv"
        android:layout_width="10dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:adjustViewBounds="true"
        android:rotation="90"
        android:scaleType="fitXY"
        android:src="@drawable/selector_tab_triangle_black_db"
        app:layout_constraintBottom_toBottomOf="@id/header_foot_print_date_tv"
        app:layout_constraintStart_toEndOf="@id/header_foot_print_date_tv"
        app:layout_constraintTop_toTopOf="@id/header_foot_print_date_tv" />

    <View
        android:id="@+id/header_foot_print_next_v"
        android:layout_width="60dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="@id/header_foot_print_date_tv"
        app:layout_constraintStart_toEndOf="@id/header_foot_print_date_tv"
        app:layout_constraintTop_toTopOf="@id/header_foot_print_date_tv" />


    <com.haibin.calendarview.CalendarLayout
        android:id="@+id/fgt_foot_print_cl"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#fff"
        android:orientation="vertical"
        app:calendar_content_view_id="@+id/fgt_foot_print_grv"
        app:layout_constraintTop_toBottomOf="@id/header_foot_print_date_tv"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.haibin.calendarview.CalendarView
            android:id="@+id/fgt_foot_print_cv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#fff"
            app:calendar_padding="10dp"
            app:current_month_lunar_text_color="#CFCFCF"
            app:current_month_text_color="#333333"
            app:max_year="2020"
            app:min_year="2004"
            app:month_view="com.haibin.calendarviewproject.custom.CustomMonthView"
            app:month_view_show_mode="mode_fix"
            app:other_month_lunar_text_color="#e1e1e1"
            app:other_month_text_color="#e1e1e1"
            app:scheme_text="假"
            app:scheme_text_color="#333"
            app:scheme_theme_color="#128c4b"
            app:selected_lunar_text_color="#fff"
            app:selected_text_color="#fff"
            app:selected_theme_color="#046cea"
            app:week_background="#fff"
            app:week_start_with="sun"
            app:week_text_color="#e1e1e1"
            app:week_view="com.haibin.calendarviewproject.custom.CustomWeekView"
            app:year_view_day_text_color="#333333"
            app:year_view_day_text_size="9sp"
            app:year_view_month_text_color="#ff0000"
            app:year_view_month_text_size="20sp"
            app:year_view_scheme_color="#f17706" />

        <android.support.v7.widget.RecyclerView
            android:id="@+id/fgt_foot_print_grv"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.haibin.calendarview.CalendarLayout>
</android.support.constraint.ConstraintLayout>